package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMallUserAction {

    CONTROLLER(0, "Controller"),
    SERVICE(1, "Service")
    ;

    public static EnumMallUserAction getEnum(Integer code) {
        for (EnumMallUserAction value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMallUserAction(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
